Bug 1573209 - [BACKPORT-12] Implement CPU weighter filter
Summary: [BACKPORT-12] Implement CPU weighter filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: async
: 12.0 (Pike)
Assignee: Stephen Finucane
QA Contact: nova-maint
URL: https://blueprints.launchpad.net/nova...
Whiteboard:
Depends On: 1469073 1565089 1571286 1576882 1576885 1576888 1582406 1582409 1582412 1582413
Blocks: 1476900 1573210 1576887
TreeView+ depends on / blocked
 
Reported: 2018-04-30 13:40 UTC by Stephen Finucane
Modified: 2019-11-20 14:14 UTC (History)
19 users (show)

Fixed In Version: openstack-nova-16.1.4-2.el7ost
Doc Type: Enhancement
Doc Text:
Feature: Add the CPUWeigher weigher for nova-scheduler. Reason: The CPUWeigher allows operators to configure a stacking or spreading policy for vCPUs. Result: Operators can enable the CPUWeigher and configure a stacking (use all vCPUs on one node first) or spreading (attempt to use a roughly equal amount of vCPUs from all hosts) policy.
Clone Of: 1571286
: 1573210 1576887 (view as bug list)
Environment:
Last Closed: 2018-12-05 18:50:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 379525 0 'None' 'MERGED' 'Add CPUWeigher' 2019-11-20 14:12:46 UTC
Red Hat Knowledge Base (Solution) 3109111 0 None None None 2018-04-30 13:40:27 UTC
Red Hat Product Errata RHBA-2018:3791 0 None None None 2018-12-05 18:52:23 UTC

Comment 1 Lon Hohberger 2018-10-03 10:34:53 UTC
According to our records, this should be resolved by openstack-nova-16.1.4-6.el7ost.  This build is available now.

Comment 4 errata-xmlrpc 2018-12-05 18:50:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3791


Note You need to log in before you can comment on or make changes to this bug.